=== debian/changelog ===
winregfs (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #840907)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 15 Oct 2016 15:42:21 -0300
