=== debian/control ===
Source: winregfs
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 10), libfuse-dev, pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/jbruchon/winregfs
Vcs-Git: https://anonscm.debian.org/git/forensics/winregfs.git
Vcs-Browser: https://anonscm.debian.org/git/forensics/winregfs.git

Package: winregfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Windows registry FUSE filesystem
 Winregfs is a FUSE-based filesystem driver that enables accessing of Windows
 registry hive files as ordinary filesystems. Registry hive file editing can
 be performed with ordinary shell scripts and command-line tools once mounted.
 .
 fsck.winregfs scans a Windows registry hive file for problems that indicate
 the hive has been damaged by hardware or software issues, reading recursively
 the  key  and  value  data structures in the registry hive.
 .
 This package provides mount.winregfs and fsck.winregfs commands.
 Winregfs is useful for pentesters, ethical hackers and forensics experts.
