=== debian/changelog ===
winregfs (0.7-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Giovani Augusto Ferreira ]
  * debian/watch: updated because the upstream moved the project from GitHub to Codeberg.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 29 Apr 2024 00:03:06 -0300

winregfs (0.7-4) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.0, no changes needed.
  * debian/copyright: updated packaging years.
  * debian/tests/control: add superficial restriction (closes: #970976)
  * debian/upstream/metadata: created.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 27 Sep 2020 14:25:14 -0300

winregfs (0.7-3) unstable; urgency=medium

  [ Thiago Andrade Marques ]
  * Team upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper 11' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Bumped Standards version to 4.4.1.
  * debian/copyright:
      - Added rights for Samuel Henrique.
      - Added rights for Thiago Andrade Marques.
  * debian/tests/control: created to provide trivial tests.

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Tue, 22 Oct 2019 15:44:53 -0300

winregfs (0.7-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.1.4
  * debian/copyright: updated copyright years
  * debian/patches/cross.patch: fix FTCBFS (Closes: #900741)
      - Allow substituting pkg-config and install.
      - Pass an install that never strips.
      - Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 24 Jun 2018 18:14:28 -0300

winregfs (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the packaging and copyright years.
  * debian/patches/fix-install.patch:
      - Updated, according to the new release.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 24 Jun 2017 15:44:36 -0300
