=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: winregfs
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 10), libfuse-dev, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
+Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/jbruchon/winregfs
-Vcs-Git: https://anonscm.debian.org/git/forensics/winregfs.git
-Vcs-Browser: https://anonscm.debian.org/git/forensics/winregfs.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/winregfs.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/winregfs
 
 Package: winregfs
 Architecture: any
