=== debian/tests/control ===
Test-Command: fsck.winregfs -v 2>&1 | egrep -i windows
Restrictions: superficial

Test-Command: mount.winregfs -v 2>&1 | egrep -i windows
Restrictions: superficial
