=== debian/watch ===
version=4
https://codeberg.org/jbruchon/winregfs/tags archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
