## winregfs 0.8

=== debian/changelog ===
winregfs (0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8
  * d/p/*: add fuse3.patch (Closes: #1084473).
  * d/control:
    - Replace B-D libfuse-dev by libfuse3-dev.
    - Replace B-D pkg-config by pkgconf.
    - Update Homepage to new location (Closes: #1122526).
    - Bump Standards-Version to 4.7.2.
  * d/watch: Update watch file to version 5 format.
  * d/copyright:
    - Correct upstream copyright entries and bump years.
    - Drop now unused GPL-2 license paragraph.
    - Update packaging copyright entries.

 -- Sven Geuer <sge@debian.org>  Fri, 12 Dec 2025 01:13:54 +0100
