=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libfuse3-dev, pkgconf
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
-Homepage: https://github.com/jbruchon/winregfs
+Homepage: https://codeberg.org/jbruchon/winregfs
 Vcs-Git: https://salsa.debian.org/pkg-security-team/winregfs.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/winregfs
