=== debian/watch ===
Version: 5
Source: https://codeberg.org/jbruchon/winregfs/tags
Matching-Pattern: archive/@ANY_VERSION@@ARCHIVE_EXT@
